Name:		gtklp
Version:	1.2.3
Release:	1%{?dist}
Summary:	A GTK frontend to CUPS

Group:		Applications/System
License:	GPL
URL:		http://gtklp.sourceforge.net
Source: 	http://switch.dl.sourceforge.net/sourceforge/gtklp/gtklp-1.2.3.src.tar.gz
Source1:	gtklp.png
Source2:	gtklpq.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cups-devel
BuildRequires:	gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:	gnutls-devel
Requires:	cups


%description 
GtkLP for CUPS is a frontend for the lpr that comes with CUPS. It is
written to make it easy to use nearly all the options from CUPS
without knowing them by name. For print-admins, there is also an
pretty simple queue tool implemented.


%prep
%setup -q


%build
%configure
make %{_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

# remove some incorrect locales
rm -fr $RPM_BUILD_ROOT%{_datadir}/locale/cz
rm -fr $RPM_BUILD_ROOT%{_datadir}/locale/chs
rm -fr $RPM_BUILD_ROOT%{_datadir}/locale/cht

%find_lang %{name}

cat > gtklp.desktop <<EOF
[Desktop Entry]
Name=GtkLP
Comment=CUPS printing and administration frontend
Exec=gtklp %f
Icon=%{_datadir}/pixmaps/gtklp.png
Terminal=false
Type=Application
Categories=GTK;GNOME;Application;
Encoding=UTF-8
StartupNotify=true
X-Desktop-File-Install-Version=0.10
EOF
desktop-file-install --vendor fedora \
    --add-category X-Fedora \
    --add-category Application \
    --add-category GNOME \
    --add-category System \
    --add-category Utility \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    gtklp.desktop

cat > gtklpq.desktop <<EOF
[Desktop Entry]
Name=GtkLPQ
Comment=CUPS printer queue manager
Exec=gtklpq
Icon=%{_datadir}/pixmaps/gtklpq.png
Terminal=false
Type=Application
Categories=GTK;GNOME;Application;
Encoding=UTF-8
StartupNotify=true
X-Desktop-File-Install-Version=0.10
EOF
desktop-file-install --vendor fedora \
    --add-category X-Fedora \
    --add-category Application \
    --add-category GNOME \
    --add-category System \
    --add-category Utility \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    gtklpq.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING NEWS README TODO USAGE
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*


%changelog
* Fri Feb  9 2007 Gerard Milmeister <gemi@bluewin.ch> - 1.2.3-1
- new version 1.2.3

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2.2-3
- Rebuild for FE6

* Fri Jun 16 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2.2-2
- rebuild against new cups

* Wed May 31 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2.2-1
- new version 1.2.2

* Sun May  7 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2.1-2
- cleaned up buildrequires
- added %%{_smp_mflags}

* Tue Mar 14 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2.1-1
- new version 1.2.1

* Mon Feb 20 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.2.0-1
- new version 1.2.0

* Sun Dec 18 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.1.0-1
- New Version 1.1.0

* Mon Jun 20 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0f-1
- New Version 1.0f

* Sun Mar 13 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.0c-1
- New Version 1.0c

* Wed Nov 17 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0-0.fdr.1
- First Fedora release

